Lukas Mai
and 1 contributors

NAME

Defaults::Mauke - load mauke's favorite modules

SYNOPSIS

 use Defaults::Mauke;
 
 ## equivalent to
 # use strict;
 # use warnings; no warnings qw[recursion qw];
 # use utf8;
 # use feature ':5.16'; no feature 'switch';
 # no bareword::filehandles;
 # no indirect qw(:fatal);
 # use Function::Parameters qw(:strict);

DESCRIPTION

I got tired of starting every Perl file I write with loading the same two or three modules, so I wrote another module that does it for me. If you happen to like the same set of default modules, feel free to use it; if you don't, maybe you can copy and adapt the source.

SEE ALSO

strict, warnings, utf8, perllexwarn, bareword::filehandles, indirect, Function::Parameters.

AUTHOR

Lukas Mai, <l.mai at web.de>

LICENSE

I put this code in the public domain. Do whatever you want with it.